# Uses of Class
com.germinus.easyconf.ComponentProperties

Packages that use ComponentProperties
Package
Description
com.germinus.easyconf
com.germinus.easyconf.taglib

## Uses of ComponentProperties in com.germinus.easyconf

Fields in com.germinus.easyconf declared as ComponentProperties
Modifier and Type
Field
Description
`private ComponentProperties`
ComponentConfiguration.`properties`
`private ComponentProperties`
ConfigurationObjectCache.`properties`
Methods in com.germinus.easyconf that return ComponentProperties
Modifier and Type
Method
Description
`private ComponentProperties`
ComponentConfiguration.`getAvailableProperties()`
`ComponentProperties`
ComponentConfiguration.`getProperties()`
Get a typed map of the properties associated with this component
`ComponentProperties`
ConfigurationLoader.`readPropertiesConfiguration(String companyId, String componentName)`
Methods in com.germinus.easyconf with parameters of type ComponentProperties
Modifier and Type
Method
Description
`(package private) Object`
ConfigurationLoader.`loadXMLFile(URL confFileUrl, ComponentProperties properties)`
Read an XML file and return an Object representation of its contents
`ConfigurationObjectCache`
ConfigurationLoader.`readConfigurationObject(String companyId, String componentName, String confName, ComponentProperties properties)`
`private ConfigurationObjectCache`
ConfigurationLoader.`readConfigurationObjectFromDatabase(String companyId, String componentName, String confName, ComponentProperties properties, String sourceName)`
`private ConfigurationObjectCache`
ConfigurationLoader.`readConfigurationObjectFromXMLFile(String companyId, String componentName, String confName, ComponentProperties properties)`
`void`
ConfigurationLoader.`saveConfigurationObjectIntoDatabase(Object configurationObject, String companyId, String componentName, String confName, ComponentProperties properties)`
Constructors in com.germinus.easyconf with parameters of type ComponentProperties
Modifier
Constructor
Description
``
`ConfigurationObjectCache(Object confObj, URL confFileUrl, ComponentProperties properties, String confName)`

## Uses of ComponentProperties in com.germinus.easyconf.taglib

Methods in com.germinus.easyconf.taglib with parameters of type ComponentProperties
Modifier and Type
Method
Description
`private Object`
PropertyTag.`readProperty(ComponentProperties conf)`